@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

@media only screen and (min-width:1600px) {
    .container {
        max-width: 1540px !important;
    }
}

@media only screen and (min-width:1800px) {
    .container {
        max-width: 1680px !important;
    }
}

:root {
    --black: #000;
    --theme-muted-color: #BABABA;
    --theme-primary: #20B2FF;
    --theme-primary-hover: #009ee0;
    --light-black: #222;
    --gray-border: #DFE0D9;
    --body-color: #F6F6F6;
    --hover-white: #dfe6f7;
    --white: #fff;
    --red: #DB4444;
    --blue: #20B2FF;
    --hover-blue: #009ee0;
    --box-shadow: 0px 5px 5px 0px #00000040;
    --small-radius: 4px;
    --radius: 15px;
    --link-radius: 100px;
    --timing-function: 0.5s cubic-bezier(0.4, 0, 0.2, 1);
    --animation-timing-function: 0.5s ease-in-out;
}

body {
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-optical-sizing: auto;
    font-style: normal;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    font-size: 14px;
    background-color: var(--body-color);
    color: var(--black);
}

#angebot {
    scroll-margin-top: 100px;
}


/* Fonts CSS Start */



.mini-title {
    font-size: 16px;
}

.sub-heading {
    font-size: 16px;
}

/* Fonts CSS End */

/* Spacings CSS Start */

.spacing-top {
    padding-top: 100px;
}

.spacing-bottom {
    padding-bottom: 100px;
}

.margin-spacing-top {
    margin-top: 100px;
}

.margin-spacing-bottom {
    margin-bottom: 100px;
}

/* Spacings CSS End */

button {
    cursor: pointer;
    padding: 0;
    background: none;
    outline: none;
    border: none;
}

h1, h2, h3, h4, h5, h6, p {
    margin: 0;
}

/* Fonts CSS Start */

.title {
    font-size: 35px;
    line-height: 45px;
    font-weight: 300;
}

.heading {
    font-size: 25px;
    line-height: 35px;
    font-weight: 300;
}

.mini-heading {
    font-size: 18px;
    font-weight: 300;
    line-height: 28px;
}

.mini-title {
    font-weight: 300;
    font-size: 20px;
    line-height: 30px;
}

.sub-title {
    font-weight: 300;
    font-size: 16px;
    line-height: 24px;
}

/* Fonts CSS End */



header {
    position: sticky;
    top: 0;
    left: 0;
    z-index: 79;
}

header ul {
    margin: 0px;
}

.desktop-links {
    display: none;
}

.hamburger-trigger {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 7px;

}

.hamburger-trigger span {
    height: 2px;
    display: block;
    background-color: var(--white);
    transition: all var(--timing-function);
    transform: translate3d(0px, 0px, 0.0001px);
}

.full-screen-menu-footer {
    margin-top: 100px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding-left: 0px;
}

.full-screen-menu-footer li a {
    font-size: 16px;
    line-height: 20px;
    color: var(--black);
}

/* Full Screen Menu CSS Start */

.full-screen-menu {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100%;
    z-index: 80;
    background: var(--white);
    display: flex;
    flex-direction: column;
    gap: 15px;
    padding: 20px;
    overflow-y: scroll;
    opacity: 0;
    transform: translate3d(0px, -100%, 0.0001px);
    pointer-events: none;
    transition: all var(--timing-function);
}

.active-full-screen-menu {
    opacity: 1;
    pointer-events: auto;
    transform: translate3d(0px, 0px, 0.0001px);
}

.full-screen-menu-heading {
    display: flex;
    justify-content: space-between;
}

.full-screen-menu-heading span {
    font-weight: 500;
}

.close-category-button svg {
    max-width: 16px;
    width: auto;
    height: auto;
    max-height: 16px;
}

.full-screen-categories {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 50px;
}

.category-name {
    color: var(--black);
    font-size: 18px;
    line-height: 24px;
}

.nested-categories {
    padding-top: 10px;
    padding-left: 10px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    transition: all var(--timing-function);
}

.nested-categories .category-name {
    font-size: 16px;
    line-height: 20px;
}

.nested-category-holder .nested-categories {
    opacity: 0;
    pointer-events: none;
}

.active-full-screen-category .nested-categories {
    opacity: 1;
    pointer-events: auto;
}

.nested-category-holder {
    transition: max-height var(--timing-function);
    will-change: max-height;
    transform: translate3d(0px, 0px, 0.0001px);
    max-height: 28px;
    overflow: hidden;
}

.active-full-screen-category {
    max-height: 1000px;
}

.nested-category-button {
    display: flex;
    align-items: center;
    gap: 10px;
}

.nested-category-button span {
    transition: color var(--timing-function);
}

.nested-category-button svg {
    transition: transform var(--timing-function);
    transform: translate3d(0px, 0px, 0.0001px) rotate(0deg);
}

.active-full-screen-category .nested-category-button span {
    color: var(--blue);
}

.active-full-screen-category .nested-category-button svg {
    transform: translate3d(0px, 0px, 0.0001px) rotate(-180deg);
}

.nested-category-button svg path {
    transition: stroke var(--timing-function);
}

.active-full-screen-category svg path {
    stroke: var(--blue);
}

/* Full Screen Menu CSS End */

.user-navigations {
    display: flex;
    justify-content: flex-end;
    gap: 15px;
}

.first-hamburger {
    width: 30px;

}

.second-hamburger {
    width: 21px;

}

.active-hamburger .first-hamburger {
    transform: rotate(44deg) translate3d(0px, 10px, 0.0001px);
}

.active-hamburger .second-hamburger {
    width: 30px;
    transform: rotate(-45deg) translate3d(-5px, -7px, 0.0001px);
}

.header-links {
    display: none;
}

.header-social-links {
    display: none;
}

.logo-container img {
    max-width: 160px;
    width: auto;
    height: auto;
}

.header-blue-part {
    background: var(--blue);
    padding: 10px 0px;
}

.title-line-and-link {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.line-link {
    color: var(--light-black);
}

.line-holder {
    display: none;
}

.title-in-line-wrapper span {
    color: var(--blue);
}

.product-list-wrapper {
    display: grid;
    grid-template: auto / calc(50% - 10px) calc(50% - 10px);
    gap: 20px;
}

.product-wrapper {
    display: flex;
    flex-direction: column;
    border-radius: var(--radius);
    overflow: hidden;
    position: relative;
    background: var(--white);
}

.shared-product-image {
    width: 100%;
    height: 180px;
    padding-bottom: 10px;

    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 10px;
}

.shared-product-image img {
    width: auto;
    max-width: 100%;
    height: auto;
    max-height: 100%;
    object-fit: cover;
}

.add-to-cart {
    padding: 5px 15px;
    background-color: var(--blue);
    color: var(--white);
    display: flex;
    justify-content: center;
}

.shared-product-content {
    margin-top: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 10px 10px;
    gap: 10px;
    flex-grow: 1;
    border-top: 1px solid #F0F0F0;
}

.product-title-and-button {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 20px;
    flex-grow: 1;
}

.product-category {
    margin-bottom: 10px;
}

.product-category span {
    font-size: 12px;
    line-height: 14px;
    color: var(--theme-muted-color);
}

.shared-product-title {
    color: var(--black);
    font-weight: 500;
    min-height: 41px;
    display: block;
}

.product-prices-holder {
    margin-top: 10px;
}

.product-sale-holder span {
    display: block;
}

.product-sale-holder {
    display: flex;
    gap: 10px;
    align-items: center;
}

.product-old-price {
    text-decoration: line-through;
    opacity: 0.5;
    color: var(--black);
}

.product-discount-price {
    color: var(--red);
}

.product-price {
    color: var(--black);
    font-weight: 300;
}

.product-like {
    cursor: pointer;
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 5;
    border-radius: 50%;
    background-color: var(--blue);
    height: 25px;
    width: 25px;
    padding: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.product-sale-tag {
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 5;
    background-color: var(--red);
    padding: 5px 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--white);
    font-size: 12px;
    line-height: 16px;
    border-radius: 4px;
}

.product-new-tag {
    background-color: var(--theme-primary);
}

.product-like svg {
    max-width: 65%;
    width: auto;
    height: auto;
    max-height: 65%;
}

.product-like svg path {
    transition: fill var(--timing-function);
}

.liked-product svg path {
    fill: var(--white);
}

.category-switcher {
    position: relative;
}

.category-trigger span {
    color: var(--white);
}

.category-trigger {
    background-color: var(--blue);
    padding: 5px 15px;
    border: none;
    border-radius: var(--radius);
    min-width: 180px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}


.category-buttons-holder {
    z-index: 10;
    position: absolute;
    top: 40px;
    left: 0px;
    background-color: var(--blue);
    width: 200px;
    border-radius: var(--radius);
    padding: 10px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    text-align: start;
    opacity: 0;
    transform: translate3d(0px, -20px, 0.0001px);
    transition: transform var(--timing-function), opacity var(--timing-function);
    pointer-events: none;
}

.active-category-switcher .category-buttons-holder {
    opacity: 1;
    transform: translate3d(0px, 0px, 0.0001px);
    pointer-events: auto;
}

.category-switcher-item {
    color: var(--white);
    text-align: start;
    padding: 0px;
}

.skeletonContainer {
    display: grid;
    grid-template: auto / 1fr 1fr;
    gap: 16px;
}

.skeletonItem {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.skeleton-placeholderImage {
    width: 100%;
    height: 250px;
    background: #e0e0e0;
    border-radius: 4px;
    animation: pulse 1.5s ease-in-out infinite;
}

.placeholderText {
    width: 80%;
    height: 16px;
    background: #e0e0e0;
    border-radius: 4px;
    animation: pulse 1.5s ease-in-out infinite;
}

@keyframes pulse {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0.4;
    }

    100% {
        opacity: 1;
    }
}

.absolute-image {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.absolute-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.link {
    padding: 5px 15px;
    border-radius: var(--link-radius);
    transition: all var(--timing-function);
    display: inline-flex;
    align-items: center;
    gap: 10px;
}

.blue-link {
    background-color: var(--blue);
    color: var(--white);
    border: 1px solid var(--blue);
}

.white-link {
    background-color: var(--white);
    color: var(--black);
    border: 1px solid var(--white);
}

.transparent-link {
    background-color: transparent;
    color: var(--white);
    border: 1px solid var(--white);
}

.contact-section {
    position: relative;
    height: 700px;
}

.contact-section::before {
    content: "";
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 3;
    background: rgba(0, 0, 0, 0.3);
}

.contact-content {
    position: relative;
    z-index: 5;
    display: flex;
    flex-direction: column;
    gap: 30px;
    padding-top: 100px;
}

.contact-texts .heading {
    color: var(--white);
    display: block;
}

.contact-texts .heading span {
    font-weight: 600;
}

.contact-map {
    position: relative;
}

.contact-map-image {
    width: 100%;
    height: auto;
}

.contact-map-image img {
    width: 100%;
    height: auto;
    max-height: 100%;
    object-fit: cover;
}

.contact-map a {
    position: absolute;
    top: 0px;
    right: 0px;
    width: 200px;
    background-color: var(--white);
    color: var(--black);
    padding: 10px 15px;
    opacity: 0;
    pointer-events: none;
    transition: opacity var(--timing-function);
    border-radius: var(--radius);
}

.contact-map-item {
    position: absolute;
    top: 25%;
    right: 35%;
}

.contact-map:hover a {
    opacity: 1;
    pointer-events: auto;
}

.contact-map-item a span {
    display: block;
    font-weight: 500;
}

.contact-map:not(:hover) a {
    transition-delay: .3s;
}

.contact-texts {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.footer-top-navigations {
    padding-top: 30px;
    display: flex;
    flex-direction: column;
    gap: 30px;
    border-top: 1px solid var(--gray-border);
}

.footer-top-items {
    padding-top: 30px;
}

.footer-title {
    font-size: 16px;
    line-height: 20px;
    font-weight: 600;
    display: block;
    margin-bottom: 10px;
}

.footer-navigation ul {
    margin-top: 10px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 0px;
    margin-bottom: 0px;
}

.footer-navigation ul li a {
    color: var(--black);
    font-size: 14px;
    line-height: 18px;
}

.footer-navigation ul li {
    color: var(--black);
    font-size: 14px;
    line-height: 18px;
}

.footer-navigation ul li a span {
    display: block;
    font-weight: 500;
}

.footer-address-list {
    gap: 15px !important;
}

.footer-address-list li span {
    display: block;
    font-weight: 500;
}

.footer-bottom-items {
    margin-top: 30px;
    padding-top: 10px;
    padding-bottom: 10px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    border-top: 1px solid var(--gray-border);
}

.footer-bottom-items a {
    color: var(--black);
    font-size: 14px;
    line-height: 18px;
}

.footer-bottom-items a span {
    color: var(--blue);
}

.slider-buttons-holder {
    display: flex;
    align-items: center;
    gap: 16px;
}

.slider-button {
    padding: 0px;
    margin: 0px;
    border: none;
    border-radius: 50%;
    border: 1px solid var(--blue);

    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all var(--timing-function);
}

.inactive-buttons {
    display: none !important;
}

.user-navigations-holder {
    display: flex;
    align-items: center;
    gap: 10px;
}

.user-navigations {
    align-items: center;
}

.user-navigation-link {
    position: relative;
}

.count-holder {
    color: var(--black);
    box-shadow: var(--box-shadow);
    text-align: center;
    width: 18px;
    height: 18px;
    font-size: 11px;
    line-height: 18px;
    display: block;
    position: absolute;
    top: -6.5px;
    left: 12px;
    background: var(--white);
    border-radius: 50%;
    transition: 0.2s linear;
}

.subscribe-section {
    height: 350px;
    position: relative;
}

.subscribe-section::before {
    content: "";
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.3);
    z-index: 2;
}

.subscribe-section-content {
    z-index: 4;
    position: relative;
    padding-top: 100px;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.subscribe-section-content .heading {
    color: var(--white);
}

.subscribe-section-content .heading span {
    font-weight: 600;
}

.product-quantity-buttons {
    display: flex;
    width: fit-content;
}


.product-quantity-buttons {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 5px 15px;

    border: 1px solid rgba(30, 30, 30, 0.10);
    background-color: rgba(0, 101, 181, 0.09);

}


.product-quantity-buttons button {
    outline: none;
    padding: 0;
    margin: 0;
    border: none;
    background: none;
    font-size: 14px;
    line-height: 18px;
    color: var(--black);
}

.loaderHolder {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 100;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
}

.hiddenLoader {
    display: none !important;
}

.loader {
    width: 50px;
    height: 50px;
    border: 3px solid #FFF;
    border-bottom-color: transparent;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;

    /* smoother easing & shorter duration for snappier feel */
    animation: rotation 1s linear infinite;
    -webkit-animation: rotation 1s linear infinite;

    /* GPU-accelerate the transform */
    transform-origin: center center;
    -webkit-transform-origin: center center;
    will-change: transform;
    backface-visibility: hidden;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@-webkit-keyframes rotation {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

.shared-hero {
    position: relative;
    height: 500px;
}

.shared-hero::before {
    content: "";
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.3);
    z-index: 2;
}

.shared-hero-title-container {
    position: relative;
    padding-top: 100px;
    z-index: 3;
}

.shared-hero-title-container h1 {
    text-align: center;
    color: var(--white);
}

.shared-hero-title-container h1 span {
    font-weight: 500;
}

.search-holder {
    position: relative;
}

.absolute-search-input label {
    position: absolute;
    left: -10000px;
}

.absolute-search-input {
    position: absolute;
    right: 0px;
    top: 30px;
    background-color: var(--white);
    padding: 15px 10px;
    box-shadow: var(--box-shadow);
    opacity: 0;
    pointer-events: none;
    transition: opacity var(--timing-function);
    z-index: 99;
}

.active-search .absolute-search-input {
    opacity: 1;
    pointer-events: auto;
}

.absolute-search-input input {
    padding: 5px 15px;
    border-radius: var(--radius);
    border: 1px solid var(--gray-border);
}

.search-button {
    padding: 0px;
}

.absolute-search-button {
    position: absolute;
    right: 20px;
    top: 20px;
    width: 25px;
    height: 25px;
    background-color: var(--blue);
    padding: 0px;
    border: none;
    border-radius: var(--radius);
}

.absolute-search-button svg {
    max-width: 80%;
    width: auto;
    height: auto;
    max-height: 80%;
}

.error-text {
    display: none;
}

.header-white-part {
    background-color: var(--white);
    padding-top: 5px;
    padding-bottom: 5px;
}

.header-white-part-content {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.header-white-part-item {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    font-size: 12px;
    gap: 10px;
    line-height: 14px;
}

.header-white-part-icon {
    width: 16px;
    height: 16px;
}

.header-white-part-icon img {
    max-width: 100%;
    width: auto;
    height: auto;
    max-height: 100%;
    object-fit: contain;
}

.header-links-and-search-container {
    display: none;
}

.desktop-categories {
    display: none;
}

body {
    overflow-x: hidden;
}

.product-added-to-cart {
    position: fixed;
    top: 130px;
    right: 0px;
    z-index: 100;
    background-color: var(--white);
    box-shadow: var(--box-shadow);
    padding: 10px 15px;
    transform: translate3d(100%, 0, .0001px);
    opacity: 0;
    transition: opacity var(--timing-function), transform var(--timing-function);
    pointer-events: none;
}

.product-added-to-cart-active {
    transform: translate3d(0, 0, .0001px);
    opacity: 1;
    pointer-events: auto;
}

.loaderItem {
    width: 20px;
    height: 20px;
    border: 3px solid #FFF;
    border-bottom-color: transparent;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;

    /* smoother easing & shorter duration for snappier feel */
    animation: rotation 1s linear infinite;
    -webkit-animation: rotation 1s linear infinite;

    /* GPU-accelerate the transform */
    transform-origin: center center;
    -webkit-transform-origin: center center;
    will-change: transform;
    backface-visibility: hidden;
}

.hiddenLoader {
    display: none;
}

.in-progress-button .hiddenLoader {
    display: flex !important;
}

.in-progress-button span {
    display: none;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@-webkit-keyframes rotation {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

.sib-email-area label {
    position: absolute;
    left: -10000px;
}

.sib-email-area input {
    padding: 5px 15px;
    border-radius: var(--radius);
    border: 1px solid var(--gray-border);
    width: 100%;
}

.footer-news-subscribe .footer-email-subscribe {
    margin-bottom: 20px;
}

.subscribe-modal {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 100;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
    transition: all var(--timing-function);
}

.active-subscribe-modal {
    pointer-events: auto;
    opacity: 1;
    visibility: visible;
}

.subscribe-modal-content {
    padding: 35px 20px 25px 20px;
    border-radius: var(--radius);
    background-color: var(--white);
    box-shadow: var(--box-shadow);
    display: flex;
    flex-direction: column;
    gap: 15px;
    position: relative;
}

.subscribe-modal-content .blue-link {
    margin-top: 10px;
}

.subscribe-modal-texts span {
    width: 90%;
}

.subscribe-modal-content .sib-email-area input {
    width: 90%;
}

.close-subscribe-button {
    position: absolute;
    top: 15px;
    right: 15px;
}

/* 404 CSS Start */

.not-found-texts-and-link {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
}

.not-found-title {
    display: flex;
    flex-direction: column;
    gap: 20px;
    text-align: center;
}

/* 404 CSS End */

input:focus, textarea:focus {
    outline: 1px solid var(--blue);
}



input:focus-within, textarea:focus-within {
    outline: 1px solid var(--blue);
}

.footer-links, .footer-bottom-items a {
    position: relative;
    width: fit-content;
}

.footer-links .line, .footer-bottom-items a .line {
    background-color: var(--blue);
    bottom: -2px;
}

@media only screen and (min-width:992px) {
    .contact-map-item a {
        width: 230px;
    }

    .shared-product-title {
        min-height: 44px;
    }

    .footer-title {
        margin-bottom: 20px;
    }

    .footer-top-navigations {
        padding-top: 50px;
    }

    /* Spacings CSS Start */

    .spacing-top {
        padding-top: 150px;
    }

    .spacing-bottom {
        padding-bottom: 150px;
    }

    .margin-spacing-top {
        margin-top: 150px;
    }

    .margin-spacing-bottom {
        margin-bottom: 150px;
    }

    /* Spacings CSS End */

    /* 404 CSS Desktop Start*/

    .not-found-texts-and-link {
        gap: 40px;
    }

    /* 404 CSS Desktop End */

    .subscribe-modal-content {
        width: 60%;
        margin-left: 20%;
        padding: 40px 25px 30px 25px;
        gap: 25px;
    }

    .header-white-part-item {
        align-items: center;
    }

    .subscribe-modal-texts p {
        margin-top: 5px;
    }

    .close-subscribe-button {
        top: 25px;
        right: 25px;
    }

    .subscribe-modal-content .blue-link {
        margin-top: 20px;
    }

    .header-blue-part {
        padding: 15px 0px;
    }

    .header-links-and-search-container {
        display: flex;

    }

    .header-linnks-and-search {
        display: flex;
        align-items: center;
        gap: 30px;
        width: 100%;
    }

    .header-search label {
        position: absolute;
        left: -10000px;
    }

    .header-search input {
        width: 100%;
        padding: 10px 15px;
        border-radius: var(--radius);
        border: 1px solid var(--gray-border);
    }

    .absolute-search-button {
        right: 10px;
        top: 5px;
        width: 35px;
        height: 35px;
    }

    .header-white-part-content {
        flex-direction: row;
        gap: 30px;
        justify-content: space-between;
    }

    .header-search {
        position: relative;
        width: calc(30% - 15px);
    }

    .user-navigations-holder .search-holder {
        display: none;
    }

    .full-screen-menu {
        display: none !important;
    }

    .header-links {
        display: flex;
        align-items: center;
        gap: 20px;
        padding: 0px;
        margin: 0px;
        width: calc(70% - 15px);
        flex-wrap: wrap;
        row-gap: 5px;
    }

    .header-links li a {
        color: var(--white);
        position: relative;
        font-size: 14px;
        line-height: 16px;
        opacity: 0.5;
        transition: opacity var(--timing-function);
    }

    .line {
        position: absolute;
        bottom: 0px;
        left: 0px;
        display: block;
        height: 1px;
        background: var(--white);
        width: 100%;
        max-width: 0%;
        transition: all var(--timing-function);
        will-change: max-width;
    }

    .active-header-link .line {
        max-width: 100%;
    }

    .active-header-link {
        opacity: 1 !important;
    }

    .desktop-categories {
        display: flex;
    }

    .desktop-categories-wrapper {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        gap: 30px;
        margin-top: 20px;
        row-gap: 10px;

    }

    .desktop-category-name {
        color: var(--white);
        font-size: 14px;
        line-height: 18px;
    }

    .desktop-nested-categories {
        display: flex;
        flex-direction: column;
        position: absolute;
        right: 0px;
        min-width: 200px;
        top: 30px;
        padding: 10px 15px;
        background-color: var(--white);
        box-shadow: var(--box-shadow);
        opacity: 0;
        pointer-events: none;
        transform: translate3d(0px, 0px, 0.0001px);
        transition: opacity var(--timing-function);
    }

    .desktop-nested-categories .desktop-category-name {
        color: var(--black);
    }

    .desktop-nested-category-holder {
        max-height: 22px;
        transition: max-height var(--timing-function);
        will-change: max-height;
        transform: translate3d(0px, 0px, 0.0001px);
    }

    .active-nested-desktop-category {
        max-height: 1000px;
    }

    .active-nested-desktop-category .desktop-nested-categories {
        opacity: 1;
        pointer-events: auto;
    }

    .desktop-nested-category-button {
        display: flex;
        align-items: center;
        gap: 10px;
    }

    .desktop-nested-category-button span {
        transition: color var(--timing-function);
    }

    .desktop-nested-category-button svg {
        transition: transform var(--timing-function);
        transform: translate3d(0px, 0px, 0.0001px) rotate(0deg);
    }

    .active-nested-desktop-category .desktop-nested-category-button svg {
        transform: translate3d(0px, 0px, 0.0001px) rotate(-180deg);
    }



    body {
        font-size: 16px;
        line-height: 22px;
    }

    .skeletonContainer {
        width: 100%;
        grid-template: auto / repeat(4, 1fr);
    }

    .product-list-wrapper {
        grid-template: auto / repeat(4, 1fr);
    }

    .line-holder {
        display: block;
        height: 1px;
        background-color: var(--gray-border);
        flex-grow: 1;
    }

    .title-line-and-link {
        flex-direction: row;
        gap: 10px;
        align-items: center;
    }

    .title {
        font-size: 45px;
        line-height: 55px;
        white-space: pre-wrap;
    }

    .heading {
        font-size: 35px;
        line-height: 45px;
    }

    .mini-heading {
        font-size: 20px;
        line-height: 30px;
    }

    .sub-title {
        font-size: 18px;
        line-height: 25px;
    }

    .mini-title {
        font-size: 25px;
        line-height: 35px;
    }

    .contact-content {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .contact-texts {
        width: 40%;
        gap: 40px;
    }

    .contact-map {
        width: 40%;
    }

    .contact-section {
        height: 500px;
    }

    .footer-top-navigations {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-between;
        gap: 50px;
    }

    .footer-bottom-items {
        margin-top: 100px;
        flex-direction: row;
        justify-content: space-between;
    }

    .hamburger-trigger {
        display: none !important;
    }

    .subscribe-section-content {
        width: 65%;
        padding-top: 150px;
        gap: 30px;
    }

    .subscribe-section {
        height: 500px;
    }

    .shared-hero {
        height: 450px;
    }

    .shared-hero .container, .shared-hero .row, .shared-hero .col-12 {
        height: 100%;
    }


    .shared-hero-title-container {
        padding-top: 0px;
        display: flex;
        align-items: center;
        height: 100%;
        width: 100%;
    }

    .shared-hero-title-container h1 {
        width: 80%;
        margin-left: 10%;
    }

    .desktop-nested-categories {
        min-width: 230px;
    }

}

@media only screen and (min-width:1200px) {
    .product-list-wrapper {
        grid-template: auto / repeat(5, 1fr);
    }

    .skeletonContainer {
        grid-template: auto / repeat(5, 1fr);
    }

    .title {
        font-size: 55px;
        line-height: 65px;
    }

    .heading {
        font-size: 40px;
        line-height: 50px;
    }

    .subscribe-modal-content {
        width: 50%;
        margin-left: 25%;
    }

    .contact-map {
        width: 40%;
    }

    .contact-texts {
        width: 50%;
    }

    .contact-section {
        height: 600px;
    }

    .subscribe-section-content {
        width: 63%;
    }

    .header-links {
        gap: 25px;
    }

    .desktop-categories-wrapper {
        gap: 40px;
        row-gap: 20px;
    }
}

@media only screen and (min-width:1400px) {

    .header-linnks-and-search {
        width: 95%;
        margin-left: 5%;
    }

    .product-list-wrapper {
        grid-template: auto / repeat(6, 1fr);
    }

    .skeletonContainer {
        grid-template: auto / repeat(6, 1fr);
    }

    .shared-product-image {
        height: 200px;
    }

    .contact-section {
        height: 650px;
    }

    .title {
        font-size: 60px;
        line-height: 70px;
    }

    .heading {
        font-size: 45px;
        line-height: 55px;
    }

    .mini-heading {
        font-size: 25px;
        line-height: 35px;
    }

    .mini-title {
        font-size: 30px;
        line-height: 40px;
    }

    .contact-map {
        width: 35%;
    }

    .contact-texts {
        width: 55%;
    }

    .subscribe-section-content {
        width: 60%;
    }

    .shared-hero {
        height: 500px;
    }

    .header-links {
        gap: 35px;
    }
}

@media only screen and (min-width:1600px) {
    .heading {
        font-size: 50px;
        line-height: 60px;
    }

    .title {
        font-size: 70px;
        line-height: 90px;
    }

    .contact-section {
        height: 700px;
    }


    .shared-hero {
        height: 550px;
    }

}

@media only screen and (min-width:1800px) {
    .contact-section {
        height: 730px;
    }

    .shared-hero {
        height: 630px;
    }

    .desktop-categories-wrapper {
        gap: 60px;
        row-gap: 20px;
    }
}

@media only screen and (min-width:992px) and (hover:hover) {
    .header-links a:hover {
        opacity: 1;
    }

    .header-links a:hover .line {
        max-width: 100%;
    }

    .desktop-categories-wrapper a span {
        transition: color var(--timing-function);
    }

    .desktop-categories-wrapper a:hover span {
        color: #dfe6f7;
    }

    .desktop-nested-categories a:hover span {
        color: var(--blue);
    }

    .category-trigger {
        transition: background-color var(--timing-function);
    }

    .category-trigger:hover {
        background-color: var(--hover-blue);
    }

    .shared-product-image {
        position: relative;
        overflow: hidden;
    }

    .shared-product-image::before {
        content: "";
        background: rgba(255, 255, 255, .3);
        border-radius: 100%;
        content: "";
        display: block;
        height: 0;
        left: 50%;
        opacity: 0;
        position: absolute;
        top: 50%;
        transform: translate(-50%, -50%);
        width: 0;
        z-index: 2;
    }

    @keyframes twoTimesCircle {
        0% {
            opacity: 0
        }

        40% {
            opacity: 1
        }

        to {
            width: 200%;
            height: 200%;
            opacity: 0
        }
    }

    .product-wrapper:hover .shared-product-image::before {
        animation: twoTimesCircle .6s ease-in-out;
    }

    .white-link:hover {
        background-color: var(--blue);
        color: var(--white);
        border: 1px solid var(--blue);
    }

    .add-to-cart {
        transition: background-color var(--timing-function);
    }

    .add-to-cart:hover {
        background-color: var(--hover-blue);
    }

    .blue-link:hover {
        background-color: var(--hover-blue);
        color: var(--white);
    }

    .desktop-nested-category-button:hover span {
        color: var(--hover-white);
    }

    .desktop-nested-category-button:hover svg {
        transform: translate3d(0px, 0px, 0.0001px) rotate(-180deg);
    }

    .desktop-nested-category-button svg path {
        transition: stroke var(--timing-function);
    }

    .desktop-nested-category-button:hover svg path {
        stroke: var(--hover-white);
    }

    .footer-links a, .footer-bottom-items a {
        transition: color var(--timing-function);
    }

    .footer-links a:hover, .footer-bottom-items a:hover {
        color: var(--blue);
    }

    .footer-links:hover .line, .footer-bottom-items a:hover .line {
        max-width: 100%;
    }

    .home-brands-holder a {
        overflow: hidden;
        position: relative;
        border-radius: var(--radius);
    }

    .home-brands-holder a img {
        transition: transform var(--timing-function);
        transform: translate3d(0px, 0px, 0.0001px) scale(1);
    }

    .home-brands-holder a:hover img {
        transform: translate3d(0px, 0px, 0.0001px) scale(1.02);
    }
}


.hiddenSkeleton {
    display: none !important;
}

.cky-btn-revisit-wrapper {
    display: none !important;
}